Homeland Security Issues Warning to Windows users

Hacker med.

ALERT! READ THIS!

The Department of Homeland Security’s US-CERT team has just issued an official advisory, warning Windows customers that they should not use any modern version of Internet Explorer, from IE6 to IE11.

It’s important to note that Microsoft’s Security Advisory 2963983 lists the exploit as a problem even with IE11 running on Windows 8.1 and Windows RT 8.1.

All Windows users should immediately switch their web browser to Google Chrome (download from this link):

https://www.google.com/intl/en/chrome/browser/#brand=CHMB&utm_campaign=en&utm_source=en-ha-na-us-sk&utm_medium=ha

or Mozilla Firefox:

http://www.mozilla.org/en-US/firefox/new/

STOP USING Windows Explorer until Microsoft issues a security patch and there is strong evidence that it is working to adequately protect your data. We will notify you with another email alert when this has happened.

Please call the helpdesk if you have any questions or need help in installing an alternate browser.

The Hooks Systems Support Team